Subject: RE: How do you undo an add

From: <[email-masked]>
Date: Tue, 19 Nov 2024 16:31:51 -0500

On November 19, 2024 3:59 PM, A bughunter wrote:
>On Tuesday, November 19th, 2024 at 02:13, Kristoffer Haugsbakk
><[email-masked]> wrote:
>> On Tue, Nov 19, 2024, at 00:20, [email-masked] wrote:
>> > On November 18, 2024 5:10 PM, A bughunter wrote:
>> > > ADD, ADD, ADD why cant they get that: ADD. ADD tracks files for
>> > > commit. It's already been commit : push failed. Failed pushes piled up. I need
>them untracked.
>> > > How do you undo an add ( many adds): simple question. Without
>> > > deleting any files, to repush 1 by 1.
>> >
>> > Once you have pushed an added file, your only option is
>> > filter-branch to prune out the invalid content.
>>
>> git-filter-branch? Why not `git reset --hard` with `push --force-with-lease --force-
>if-includes`? Maybe I’m missing something.
>Yes you are missing something "Without deleting any files," a bunch of irrelivent
>and wrong answers is SPAM because literacy is necessity for participating in any ML.

filter-branch can be used to edit your repository if you accidentally added files
post-commit. That is why I included it in my original reply - you are free to read
the fine manuals that this team produces for more information on that and the
reset commands.

Our answers are provided as a courtesy. We are all volunteers, and I would ask
that you consider the possibility of treating the people who have spent time
in an attempt to answer your questions with a modicum of the same. Thank you.